RDKit: RDKit::MolStandardize::TautomerTransform Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
RDKit::MolStandardize::TautomerTransform Class Reference

`#include <TautomerCatalogParams.h>`

## Public Member Functions
| TautomerTransform (ROMol *mol, std::vector< Bond::BondType > bondtypes, std::vector< int > charges)
| TautomerTransform (const TautomerTransform &other)
TautomerTransform & | operator= (const TautomerTransform &other)
| ~TautomerTransform ()

## Public Attributes
ROMol * | Mol = nullptr
std::vector< Bond::BondType > | BondTypes
std::vector< int > | Charges

## Detailed Description

Definition at line 34 of file TautomerCatalogParams.h.

## Constructor & Destructor Documentation

## ◆ TautomerTransform() [1/2]

RDKit::MolStandardize::TautomerTransform::TautomerTransform | ( | ROMol * | mol,
|  | std::vector< Bond::BondType > | bondtypes,
|  | std::vector< int > | charges )
| inline

Definition at line 40 of file TautomerCatalogParams.h.

References BondTypes, Charges, and Mol.

Referenced by operator=(), and TautomerTransform().

## ◆ TautomerTransform() [2/2]

RDKit::MolStandardize::TautomerTransform::TautomerTransform | ( | const TautomerTransform & | other | ) |
| inline

Definition at line 46 of file TautomerCatalogParams.h.

References BondTypes, Charges, Mol, and TautomerTransform().

## ◆ ~TautomerTransform()

RDKit::MolStandardize::TautomerTransform::~TautomerTransform | ( |  | ) |
| inline

Definition at line 61 of file TautomerCatalogParams.h.

References Mol.

## Member Function Documentation

## ◆ operator=()

TautomerTransform & RDKit::MolStandardize::TautomerTransform::operator= | ( | const TautomerTransform & | other | ) |
| inline

Definition at line 51 of file TautomerCatalogParams.h.

References BondTypes, Charges, Mol, and TautomerTransform().

## Member Data Documentation

## ◆ BondTypes

std::vector<Bond::BondType> RDKit::MolStandardize::TautomerTransform::BondTypes

Definition at line 37 of file TautomerCatalogParams.h.

Referenced by operator=(), TautomerTransform(), and TautomerTransform().

## ◆ Charges

std::vector<int> RDKit::MolStandardize::TautomerTransform::Charges

Definition at line 38 of file TautomerCatalogParams.h.

Referenced by operator=(), TautomerTransform(), and TautomerTransform().

## ◆ Mol

ROMol* RDKit::MolStandardize::TautomerTransform::Mol = nullptr

Definition at line 36 of file TautomerCatalogParams.h.

Referenced by operator=(), TautomerTransform(), TautomerTransform(), and ~TautomerTransform().

The documentation for this class was generated from the following file:

- TautomerCatalogParams.h